

function informationScroll(){
    var Heig = document.documentElement.clientHeight;

    jQuery(window).on('scroll resize', function() {
        jQuery('.the-album-wrap').css('margin-top', jQuery('.details-userinfo-wrap').get(0).offsetTop + 'px').show()
        var sT = jQuery('.details-userinfo-wrap').get(0).offsetTop - jQuery('.author-card').height() - parseInt(jQuery('.details-userinfo-wrap').css('margin-top')); //底部限制
        var top = jQuery('.details-userinfo-wrap').get(0).offsetTop - jQuery('.normal-userinfo-box').height() - parseInt(jQuery('.details-userinfo-wrap').css('margin-top'));
        var Heig = document.documentElement.clientHeight;
        var scrollLeft = jQuery(document).scrollLeft();

        if (jQuery(window).width() <= 1600) {
            if (top > Heig) {
                if (jQuery(document).scrollTop() > Heig) {
                    jQuery('.normal-userinfo-box').addClass('fixed-card').css({
                        'left': jQuery('.details-right-wrap').offset().left - scrollLeft
                    });
                    if (jQuery(document).scrollTop() >= (sT)) {
                        jQuery('.normal-userinfo-box').addClass('absolute-card').removeClass('fixed-card').css({
                            'top': top,
                            'left': 0
                        })
                    } else {
                        jQuery('.normal-userinfo-box').removeClass('absolute-card').addClass('fixed-card').css({
                            'top': 10,
                            'left': jQuery('.details-right-wrap').offset().left - scrollLeft
                        })
                        jQuery('.right-fixed-wrap').hide();
                    }
                } else {
                    jQuery('.normal-userinfo-box').removeClass('fixed-card');
                    jQuery('.right-fixed-wrap').show();
                    jQuery('.normal-userinfo-box').removeClass('absolute-card')
                }
            }
        } else {
            if (top > Heig) {
                if (jQuery(document).scrollTop() > Heig) {
                    jQuery('.normal-userinfo-box').addClass('fixed-card').css({
                        'left': jQuery('.details-right-wrap').offset().left - scrollLeft
                    });
                    if (jQuery(document).scrollTop() >= (sT)) {
                        jQuery('.normal-userinfo-box').addClass('absolute-card').removeClass('fixed-card').css({
                            'top': top,
                            'left': 0
                        })
                    } else {
                        jQuery('.normal-userinfo-box').removeClass('absolute-card').addClass('fixed-card').css({
                            'top': 10,
                            'left': jQuery('.details-right-wrap').offset().left - scrollLeft
                        })
                    }
                    jQuery('.right-fixed-wrap').hide();
                } else {
                    jQuery('.normal-userinfo-box').removeClass('fixed-card');
                    jQuery('.right-fixed-wrap').show();
                    jQuery('.normal-userinfo-box').removeClass('absolute-card')
                }
            }

        }
    })
}


jQuery(function () {

    jQuery('.copy-con .copy-icon').hover(function () {
        jQuery(this).find("i").show().css({
            'margin-left': -jQuery(this).find("i").width() / 2 - 18 + 'px'
        })
        if(jQuery(this).find("i").width()/2 > jQuery(this).position().left){
            jQuery(this).find("i").show().css({
                'margin-left': -jQuery(this).find("i").width()/2 - 18 + (jQuery(this).find("i").width()/2 - jQuery(this).position().left) + 18 + 'px'
            })
        }
    }, function () {
        jQuery(this).find("i").hide()
    })

})


// 右侧卡片滚动
informationScroll()